"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("core-js/modules/es.symbol.description.js");

var _react = _interopRequireDefault(require("react"));

var _core = require("@material-ui/core");

var _icons = require("@material-ui/icons");

var _ipmdTB = _interopRequireDefault(require("./ipmdTB"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const IPMDConfirmD = _ref => {
  let {
    title,
    description,
    open,
    cancelFunc,
    yesFunc,
    color,
    input,
    inputValue,
    setInputValue
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_core.Modal, {
    open: open,
    onClose: cancelFunc,
    "aria-labelledby": "simple-modal-title",
    "aria-describedby": "simple-modal-description"
  }, /*#__PURE__*/_react.default.createElement("div", {
    style: {
      position: "absolute",
      width: 400,
      background: "".concat(color || '#DDDDDD'),
      border: "2px solid #F7F7F8",
      borderRadius: "5px",
      top: "20%",
      left: "calc((100% - 400px)/2)"
    }
  }, /*#__PURE__*/_react.default.createElement("h2", {
    id: "simple-modal-title",
    style: {
      paddingLeft: "30px"
    }
  }, title || "Please, confirm!"), /*#__PURE__*/_react.default.createElement(_core.Divider, null), /*#__PURE__*/_react.default.createElement("p", {
    id: "simple-modal-description"
  }, description || "Should it be deleted?"), input && /*#__PURE__*/_react.default.createElement(_ipmdTB.default, {
    value: inputValue,
    setValue: setInputValue
  }), /*#__PURE__*/_react.default.createElement(_core.Grid, {
    container: true,
    spacing: 2
  }, /*#__PURE__*/_react.default.createElement(_core.Grid, {
    item: true,
    xs: 4,
    align: "center"
  }, /*#__PURE__*/_react.default.createElement(_core.IconButton, {
    onClick: cancelFunc
  }, /*#__PURE__*/_react.default.createElement(_icons.CloseOutlined, null))), /*#__PURE__*/_react.default.createElement(_core.Grid, {
    item: true,
    xs: 4
  }), /*#__PURE__*/_react.default.createElement(_core.Grid, {
    item: true,
    xs: 4,
    align: "center"
  }, /*#__PURE__*/_react.default.createElement(_core.IconButton, {
    onClick: yesFunc
  }, /*#__PURE__*/_react.default.createElement(_icons.DoneOutlined, null))))));
};

var _default = IPMDConfirmD;
exports.default = _default;