"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _core = require("@material-ui/core");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const IPMDDDL = _ref => {
  let {
    label,
    value,
    setValue,
    menu,
    boolFunc,
    readOnly,
    error
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_core.FormControl, {
    fullWidth: true,
    variant: "outlined"
  }, /*#__PURE__*/_react.default.createElement(_core.InputLabel, {
    id: "label"
  }, label), /*#__PURE__*/_react.default.createElement(_core.Select, {
    labelId: "label",
    label: label,
    id: "select",
    value: value.value,
    onChange: e => setValue(menu.filter(el => el.value === e.target.value)[0]),
    fullWidth: true,
    disabled: readOnly || false
  }, menu.map((item, idx) => /*#__PURE__*/_react.default.createElement(_core.MenuItem, {
    key: item + idx,
    value: item.value,
    disabled: boolFunc && boolFunc(item) || false
  }, item.label))), error && error.isWrong && /*#__PURE__*/_react.default.createElement("label", null, error.message));
};

var _default = IPMDDDL;
exports.default = _default;