"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _pickers = require("@material-ui/pickers");

var _moment = _interopRequireDefault(require("@date-io/moment"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const IPMDDateMonth = _ref => {
  let {
    label,
    value,
    setValue,
    readOnly,
    format,
    locale,
    cancel,
    ok,
    className
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_pickers.MuiPickersUtilsProvider, {
    locale: locale || "en",
    utils: _moment.default
  }, /*#__PURE__*/_react.default.createElement(_pickers.DatePicker, {
    label: label,
    cancelLabel: cancel || "CANCEL",
    okLabel: ok || "OK",
    value: value || undefined,
    onChange: setValue,
    views: ["month", "year"],
    allowKeyboardControl: false,
    readOnly: false // inputVariant="outlined"
    ,
    InputLabelProps: {
      shrink: true
    },
    className: className,
    fullWidth: true,
    disabled: readOnly || false,
    format: format || "MMMM YYYY",
    maxDate: new Date() // showMonthYearPicker

  }));
};

var _default = IPMDDateMonth;
exports.default = _default;