"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _core = require("@material-ui/core");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const IPMDDialog = _ref => {
  let {
    label,
    setValue,
    value,
    open,
    children
  } = _ref;

  const handleClose = () => {
    setValue(value);
  };

  return /*#__PURE__*/_react.default.createElement(_core.Dialog, {
    onClose: handleClose,
    "aria-labelledby": "simple-dialog-title",
    open: open
  }, /*#__PURE__*/_react.default.createElement(_core.DialogTitle, {
    id: "simple-dialog-title"
  }, label), children);
};

var _default = IPMDDialog;
exports.default = _default;