"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _core = require("@material-ui/core");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const IPMDNum = _ref => {
  let {
    label,
    value,
    setValue,
    readOnly
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_core.TextField, {
    label: label,
    type: "number",
    variant: "outlined",
    value: value === null ? '' : value,
    onChange: e => setValue(e.target.value),
    fullWidth: true,
    disabled: readOnly || false
  });
};

var _default = IPMDNum;
exports.default = _default;