"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _core = require("@material-ui/core");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const IPMDTBM = _ref => {
  let {
    value,
    setValue,
    label,
    error,
    readOnly,
    lines
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_core.TextField, {
    label: label,
    variant: "outlined",
    value: value || '',
    multiline: true,
    rows: lines,
    onChange: e => setValue(e.target.value),
    fullWidth: true,
    disabled: readOnly || false
  }), error && error.isWrong && /*#__PURE__*/_react.default.createElement("label", null, error.message));
};

var _default = IPMDTBM;
exports.default = _default;